function displayFields(form,customHTML) {

	if(form.getFormMode() != 'VIEW') {
		form.setHidePrintLink(true);
	}

	form.setShowDisabledFields(true);

	var atividade = parseInt(getValue("WKNumState"));
	var processo = parseInt(getValue( "WKNumProces"))

	var codigoUsuarioLogado = getValue("WKUser");
	var codigoEmpresa = getValue("WKCompany");

	var dataAtual = new Date();

	var dsColaborador;

	customHTML.append("<script>function getWKNumState(){ return " + getValue("WKNumState") + "; }</script>");
	customHTML.append("<script>function getFormMode(){ return '" + form.getFormMode() + "'; }</script>");
	customHTML.append("<script>function getUser(){ return '" + codigoUsuarioLogado + "'; }</script>");
	customHTML.append("<script>function getWKReplacement(){ return " + getValue("WKReplacement") + "; }</script>");

	if(form.getMobile() == true) {
		customHTML.append('<script>document.getElementById("listaProcesso").style.display="none";</script>');
    }
	
	if (atividade == 4) {
		customHTML.append('<script>fnRecarregaSelecaoCoord();</script>');
	}

	if (atividade > 4) {

		customHTML.append('<script>document.getElementById("div_selecao_coord_cc").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("span_txtDataVencimento").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("span_txtDataPrevisao").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("btnPesquisaFornecedor").style.display="none";</script>');
	}

	if (atividade == 0) {
		var constraint = DatasetFactory.createConstraint("colleaguePK.colleagueId", codigoUsuarioLogado, codigoUsuarioLogado, ConstraintType.MUST);
		var constraints = new Array(constraint);
		var colleague = DatasetFactory.getDataset("colleague", null, constraints, null);

		form.setValue('loginSolicitante',codigoUsuarioLogado);

		form.setValue('txtSolicitante',colleague.getValue(0,"colleagueName"));

		form.setValue('txtContato',colleague.getValue(0,"mail"));

		var dataFormatada = '00'.substring(0,2-dataAtual.getDate().toString().length) + dataAtual.getDate().toString();
		dataFormatada    += '/' + '00'.substring(0,2-(dataAtual.getMonth()+1).toString().length) + (dataAtual.getMonth()+1).toString();
		dataFormatada    += '/' + dataAtual.getFullYear().toString();

		form.setValue('txtDataSolicitacao',dataFormatada);

		esconderCollapse("#painel_ativ_5");		
		esconderCollapse("#painel_ativ_33");		
		esconderCollapse("#painel_ativ_41");		
		esconderCollapse("#painel_ativ_48");		
		esconderCollapse("#painel_ativ_12");		
		esconderCollapse("#painel_ativ_20");

		customHTML.append('<script>document.getElementById("div_dados_titulo").style.display="none";</script>');

		mostrarCollapse("#painelA_ativ_4");
		posicionaPainel("#painel_ativ_4");
		
		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {			
			esconderCollapse("#painel_ativ_5");
		}

		if (form.getValue("aprovaAdiantamentoGerente") == ""  || form.getValue("aprovaAdiantamentoGerente") == null){			
			esconderCollapse("#painel_ativ_33");
		}

		if (form.getValue("aprovaAdiantamentoDiretor") == ""  || form.getValue("aprovaAdiantamentoDiretor") == null){			
			esconderCollapse("#painel_ativ_41");
		}

		if (form.getValue("aprovaAdiantamentoSuper") == ""  || form.getValue("aprovaAdiantamentoSuper") == null){
			esconderCollapse("#painel_ativ_48");
		}

		if (form.getValue("aprovaAdiantamentoFinanc") == ""  || form.getValue("aprovaAdiantamentoFinanc") == null){			
			esconderCollapse("#painel_ativ_12");
		}
		
		if (form.getValue("aprovaFiscal") == ""  || form.getValue("aprovaFiscal") == null){			
			esconderCollapse("#painel_ativ_20");
		}

	}
	if (atividade == 4) {
		
	//	esconderCollapse("#painel_ativ_20");

		customHTML.append('<script>document.getElementById("div_dados_titulo").style.display="none";</script>');
		
		form.setValue("dtUserCoord", buscaDataHora("data"));

		customHTML.append('<script>document.getElementById("div_dados_titulo").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("btnPesquisaFornecedor").style.display="none";</script>');

		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {			
			esconderCollapse("#painel_ativ_5");
		}

		if (form.getValue("aprovaAdiantamentoGerente") == ""  || form.getValue("aprovaAdiantamentoGerente") == null){			
			esconderCollapse("#painel_ativ_33");
		}

		if (form.getValue("aprovaAdiantamentoDiretor") == ""  || form.getValue("aprovaAdiantamentoDiretor") == null){			
			esconderCollapse("#painel_ativ_41");
		}

		if (form.getValue("aprovaAdiantamentoSuper") == ""  || form.getValue("aprovaAdiantamentoSuper") == null){
			esconderCollapse("#painel_ativ_48");
		}

		if (form.getValue("aprovaAdiantamentoFinanc") == ""  || form.getValue("aprovaAdiantamentoFinanc") == null){			
			esconderCollapse("#painel_ativ_12");
		}
		
		if (form.getValue("aprovaFiscal") == ""  || form.getValue("aprovaFiscal") == null){			
			esconderCollapse("#painel_ativ_20");
		}

		mostrarCollapse("#painelA_ativ_4");
		mostrarCollapse("#painel_ativ_4");
		alteraCorPanel(4);
		posicionaPainel("#painel_ativ_4");

	}

	if (atividade == 5) {
		dsColaborador = buscaColaborador();

		if (dsColaborador.rowsCount > 0) {
			form.setValue("loginUserCoord", getValue("WKUser"));
			form.setValue("nomeUserCoord", dsColaborador.getValue(0,"colleagueName"));
		}
		
		if (form.getValue("aprovaAdiantamentoGerente") == ""  || form.getValue("aprovaAdiantamentoGerente") == null){			
			esconderCollapse("#painel_ativ_33");
		}

		if (form.getValue("aprovaAdiantamentoDiretor") == ""  || form.getValue("aprovaAdiantamentoDiretor") == null){			
			esconderCollapse("#painel_ativ_41");
		}

		if (form.getValue("aprovaAdiantamentoSuper") == ""  || form.getValue("aprovaAdiantamentoSuper") == null){
			esconderCollapse("#painel_ativ_48");
		}

		if (form.getValue("aprovaAdiantamentoFinanc") == ""  || form.getValue("aprovaAdiantamentoFinanc") == null){			
			esconderCollapse("#painel_ativ_12");
		}
		
		if (form.getValue("aprovaFiscal") == ""  || form.getValue("aprovaFiscal") == null){			
			esconderCollapse("#painel_ativ_20");
		}		
		
		mostrarCollapse("#painel_ativ_5");
		mostrarCollapse("#painelA_ativ_5");
		alteraCorPanel(5);
		posicionaPainel("#painel_ativ_5");
	}

	if (atividade == 33) {
		dsColaborador = buscaColaborador();

		if (dsColaborador.rowsCount > 0) {
			form.setValue("loginUserGerente", getValue("WKUser"));
			form.setValue("nomeUserGerente", dsColaborador.getValue(0,"colleagueName"));
		}

		form.setValue("dtUserGerente", buscaDataHora("data"));

		esconderCollapse("#painel_ativ_41");
		esconderCollapse("#painel_ativ_48");
		esconderCollapse("#painel_ativ_12");
		esconderCollapse("#painel_ativ_20");

		customHTML.append('<script>document.getElementById("div_dados_titulo").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("span_txtDataPrevisao").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("span_txtDataVencimento").style.display="none";</script>');

		if (form.getValue("selectLoginCoord") == "" || form.getValue("selectLoginCoord") == null) {
			customHTML.append('<script>coordAprov()</script>');
		}

		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {
			esconderCollapse("#painel_ativ_5");
		}
		
		mostrarCollapse("#painel_ativ_33");
		mostrarCollapse("#painelA_ativ_33");
		alteraCorPanel(33);
		posicionaPainel("#painel_ativ_33");
		
		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {
			esconderCollapse("#painel_ativ_5");
		}
		
		if (form.getValue("aprovaAdiantamentoDiretor" || form.getValue("aprovaAdiantamentoDiretor") == null) == "") {			
			esconderCollapse("#painel_ativ_41");
		}

		if (form.getValue("aprovaAdiantamentoSuper" || form.getValue("aprovaAdiantamentoSuper") == null) == "") {
			esconderCollapse("#painel_ativ_48");
		}

		if (form.getValue("aprovaAdiantamentoFinanc" || form.getValue("aprovaAdiantamentoFinanc") == null) == "") {			
			esconderCollapse("#painel_ativ_12");
		}
		
		if (form.getValue("aprovaFiscal") == "" || form.getValue("aprovaFiscal") == null) {			
			esconderCollapse("#painel_ativ_20");
		}

	}

	if (atividade == 41) {
		dsColaborador = buscaColaborador();

		if (dsColaborador.rowsCount > 0) {
			form.setValue("loginUserDiretor", getValue("WKUser"));
			form.setValue("nomeUserDiretor", dsColaborador.getValue(0,"colleagueName"));
		}

		form.setValue("dtUserDiretor", buscaDataHora("data"));

		esconderCollapse("#painel_ativ_48");
		esconderCollapse("#painel_ativ_12");
		esconderCollapse("#painel_ativ_20");

		customHTML.append('<script>document.getElementById("div_dados_titulo").style.display="none";</script>');			

		mostrarCollapse("#painel_ativ_41");
		mostrarCollapse("#painelA_ativ_41");
		alteraCorPanel(41);
		posicionaPainel("#painel_ativ_41");
		
		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {
			esconderCollapse("#painel_ativ_5");
		}

		if (form.getValue("aprovaAdiantamentoGerente") == "" || form.getValue("aprovaAdiantamentoGerente") == null) {			
			esconderCollapse("#painel_ativ_33");
		}

		if (form.getValue("aprovaAdiantamentoSuper") == "" || form.getValue("aprovaAdiantamentoSuper") == null) {
			esconderCollapse("#painel_ativ_48");
		}

		if (form.getValue("aprovaAdiantamentoFinanc") == "" || form.getValue("aprovaAdiantamentoFinanc") == null) {			
			esconderCollapse("#painel_ativ_12");
		}

		if (form.getValue("aprovaFiscal") == "" || form.getValue("aprovaFiscal") == null) {			
			esconderCollapse("#painel_ativ_20");
		}

	}

	if (atividade == 48) {
		dsColaborador = buscaColaborador();

		if (dsColaborador.rowsCount > 0) {
			form.setValue("loginUserSuperintendente", getValue("WKUser"));
			form.setValue("nomeUserSuperintendente", dsColaborador.getValue(0,"colleagueName"));
		}

		form.setValue("dtUserSuperintendente", buscaDataHora("data"));

		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {
			esconderCollapse("#painel_ativ_5");
		}

		esconderCollapse("#painel_ativ_12");
		esconderCollapse("#painel_ativ_20");

		customHTML.append('<script>document.getElementById("div_dados_titulo").style.display="none";</script>');
		
		mostrarCollapse("#painel_ativ_48");
		mostrarCollapse("#painelA_ativ_48");
		alteraCorPanel(48);
		posicionaPainel("#painel_ativ_48");
		
		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {
			esconderCollapse("#painel_ativ_5");
		}

		if (form.getValue("aprovaAdiantamentoGerente") == "" || form.getValue("aprovaAdiantamentoGerente") == null) {			
			esconderCollapse("#painel_ativ_33");
		}

		if (form.getValue("aprovaAdiantamentoDiretor") == "" || form.getValue("aprovaAdiantamentoDiretor") == null) {			
			esconderCollapse("#painel_ativ_41");
		}

		if (form.getValue("aprovaAdiantamentoFinanc") == "" || form.getValue("aprovaAdiantamentoFinanc") == null) {			
			esconderCollapse("#painel_ativ_12");
		}

		if (form.getValue("aprovaFiscal") == "" || form.getValue("aprovaFiscal") == null) {			
			esconderCollapse("#painel_ativ_20");
		}
	}

	if (atividade == 12) {
		dsColaborador = buscaColaborador();

		if (dsColaborador.rowsCount > 0) {
			form.setValue("loginUserFinanceiro", getValue("WKUser"));
			form.setValue("nomeUserFinanceiro", dsColaborador.getValue(0,"colleagueName"));
		}

		form.setValue("dtUserFinanceiro", buscaDataHora("data"));			
		
		var titulo = "";

		if (form.getValue("txtFatura") != "") {
			titulo = form.getValue("txtFatura");
		} else {
			titulo = form.getValue("nrSolicitacao");
		}			

		form.setValue("codEstab", form.getValue("txtEstabelecimento"));
		form.setValue("titulo", titulo);
		form.setValue("parcela", "1");
		form.setValue("vlTitulo", form.getValue("vlSolicitado"));
		form.setValue("dtVencimento", form.getValue("txtDataVencimento"));
		form.setValue("moeda", form.getValue("moedaFornecedor"));
		form.setValue("tipoFluxo", form.getValue("cmbTipoFluxo"));
		form.setValue("formaPagto", form.getValue("codFormaPagamento"));
		form.setValue("modoPagto", "Bordero");

		var historicoSolicitacao = "Solicitação " + getValue("WKNumProces");

		//txtFatura
		//txtEmbarqueImpo
		var faturaHistorico = form.getValue("txtFatura");
		var embarqueImpo = form.getValue("txtEmbarqueImpo");

		if(faturaHistorico != ""){

			historicoSolicitacao = historicoSolicitacao + " Fatura: " + faturaHistorico;
		}

		if(embarqueImpo != ""){

			historicoSolicitacao = historicoSolicitacao + " Embarque: " + embarqueImpo;
		}

		form.setValue("historico", historicoSolicitacao);

		customHTML.append('<script>document.getElementById("span_txtDataVencimento").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("span_txtDataPrevisao").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("btnPesquisaFornecedor").style.display="none";</script>');
		customHTML.append('<script>fnHabilitaZoom();</script>');

		customHTML.append('<script>fnReloadZoomPortador("' + form.getValue("txtEstabelecimento") + '");</script>');

		form.setValue('userGeraAdiantamento',codigoUsuarioLogado);

		esconderCollapse("#painel_ativ_20");
		mostrarCollapse("#painel_ativ_12");
		mostrarCollapse("#painelA_ativ_12");
		alteraCorPanel(12);
		posicionaPainel("#painel_ativ_12");
		
		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {
			esconderCollapse("#painel_ativ_5");
		}

		if (form.getValue("aprovaAdiantamentoGerente") == "" || form.getValue("aprovaAdiantamentoGerente") == null) {			
			esconderCollapse("#painel_ativ_33");
		}

		if (form.getValue("aprovaAdiantamentoDiretor") == "" || form.getValue("aprovaAdiantamentoDiretor") == null) {			
			esconderCollapse("#painel_ativ_41");
		}

		if (form.getValue("aprovaAdiantamentoSuper") == "" || form.getValue("aprovaAdiantamentoSuper") == null) {
			esconderCollapse("#painel_ativ_48");
		}

		if (form.getValue("aprovaFiscal") == "" || form.getValue("aprovaFiscal") == null) {			
			esconderCollapse("#painel_ativ_20");
		}

	}

	if (atividade == 18) {
		dsColaborador = buscaColaborador();

		if (dsColaborador.rowsCount > 0) {
			form.setValue("loginUserAnexaDanfe", getValue("WKUser"));
			form.setValue("nomeUserAnexaDanfe", dsColaborador.getValue(0,"colleagueName"));
		}

		form.setValue("dtUserAnexaDanfe", buscaDataHora("data"));
		mostrarCollapse("#painel_ativ_4");
		mostrarCollapse("#painelA_ativ_4");
		
		customHTML.append('<script>document.getElementById("span_dtEmissao").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("span_dtVencimento").style.display="none";</script>');
		
		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {
			esconderCollapse("#painel_ativ_5");
		}

		if (form.getValue("aprovaAdiantamentoGerente") == "" || form.getValue("aprovaAdiantamentoGerente") == null) {			
			esconderCollapse("#painel_ativ_33");
		}

		if (form.getValue("aprovaAdiantamentoDiretor") == "" || form.getValue("aprovaAdiantamentoDiretor") == null) {			
			esconderCollapse("#painel_ativ_41");
		}

		if (form.getValue("aprovaAdiantamentoSuper") == "" || form.getValue("aprovaAdiantamentoSuper") == null) {
			esconderCollapse("#painel_ativ_48");
		}

		if (form.getValue("aprovaAdiantamentoFinanc") == "" || form.getValue("aprovaAdiantamentoFinanc") == null) {			
			esconderCollapse("#painel_ativ_12");
		}

		if (form.getValue("aprovaFiscal") == "" || form.getValue("aprovaFiscal") == null) {			
			esconderCollapse("#painel_ativ_20");
		}
	}

	if (atividade == 20) {
		dsColaborador = buscaColaborador();

		if (dsColaborador.rowsCount > 0) {
			form.setValue("loginUserFiscal", getValue("WKUser"));
			form.setValue("nomeUserFiscal", dsColaborador.getValue(0,"colleagueName"));
		}

		form.setValue("dtUserFiscal", buscaDataHora("data"));
		
		mostrarCollapse("#painel_ativ_20");
		mostrarCollapse("#painelA_ativ_20");
		alteraCorPanel(20);
		posicionaPainel("#painel_ativ_20");
		
		customHTML.append('<script>document.getElementById("span_dtEmissao").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("span_dtVencimento").style.display="none";</script>');
		
		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {
			esconderCollapse("#painel_ativ_5");
		}

		if (form.getValue("aprovaAdiantamentoGerente") == "" || form.getValue("aprovaAdiantamentoGerente") == null) {			
			esconderCollapse("#painel_ativ_33");
		}

		if (form.getValue("aprovaAdiantamentoDiretor") == "" || form.getValue("aprovaAdiantamentoDiretor") == null) {			
			esconderCollapse("#painel_ativ_41");
		}

		if (form.getValue("aprovaAdiantamentoSuper") == "" || form.getValue("aprovaAdiantamentoSuper") == null) {
			esconderCollapse("#painel_ativ_48");
		}

		if (form.getValue("aprovaAdiantamentoFinanc") == "" || form.getValue("aprovaAdiantamentoFinanc") == null) {			
			esconderCollapse("#painel_ativ_12");
		}
	}

	if (atividade == 25) {
		dsColaborador = buscaColaborador();

		if (dsColaborador.rowsCount > 0) {
			form.setValue("loginUserBaixa", getValue("WKUser"));
			form.setValue("nomeUserBaixa", dsColaborador.getValue(0,"colleagueName"));
		}

		form.setValue("dtUserAnexaBaixa", buscaDataHora("data"));
		mostrarCollapse("#painelA_ativ_4");
		
		customHTML.append('<script>document.getElementById("span_dtEmissao").style.display="none";</script>');
		customHTML.append('<script>document.getElementById("span_dtVencimento").style.display="none";</script>');
		
		if (form.getValue("aprovaAdiantamento") == "" || form.getValue("aprovaAdiantamento") == null) {
			esconderCollapse("#painel_ativ_5");
		}

		if (form.getValue("aprovaAdiantamentoGerente") == "" || form.getValue("aprovaAdiantamentoGerente") == null) {			
			esconderCollapse("#painel_ativ_33");
		}

		if (form.getValue("aprovaAdiantamentoDiretor") == "" || form.getValue("aprovaAdiantamentoDiretor") == null) {			
			esconderCollapse("#painel_ativ_41");
		}

		if (form.getValue("aprovaAdiantamentoSuper") == "" || form.getValue("aprovaAdiantamentoSuper") == null) {
			esconderCollapse("#painel_ativ_48");
		}

		if (form.getValue("aprovaAdiantamentoFinanc") == "" || form.getValue("aprovaAdiantamentoFinanc") == null) {			
			esconderCollapse("#painel_ativ_12");
		}

		if (form.getValue("aprovaFiscal") == "" || form.getValue("aprovaFiscal") == null) {			
			esconderCollapse("#painel_ativ_20");
		}
	}

	/*if (atividade == 18 || atividade == 25) {
		if (form.getValue("aprovaFiscal") == "") {
			esconderCollapse("#painel_ativ_20");
		}	
	}*/

	function alteraCorPanel(atividade){ 
		customHTML.append('<script>alteraCorPanel("#painel_ativ_' + atividade.toString() + '","panel panel-info");</script>');
		customHTML.append('<script>alteraCorPanel("#painel_title_' + atividade.toString() + '","panel-title panel-titulo");</script>');
	}
	
	function mostrarCollapse(seletorCampo) {
		customHTML.append(
				"<script>$('" + seletorCampo + "').collapse('show');</script>"
		);
	}
	function esconderCollapse(seletorCampo) {
		customHTML.append("<script>$('" + seletorCampo + "').collapse('hide');</script>");
	}
	
	function posicionaPainel(nomePainel) {
		if (form.getFormMode() == "MOD" || form.getFormMode() == "ADD") {
			customHTML.append("<script>");
			customHTML.append('fnPosicionaTelaById("' + nomePainel + '");');
			customHTML.append("</script>");
		}
	}

}
